3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php set_error_handler(function($errno, $errstr){ throw new Exception($errstr);}); class DateTimeCustom extends DateTime { public function __construct($datetime, $timezone = null) { try { parent::__construct($datetime, $timezone); } catch (Exception $e) { var_dump($this, parent::getLastErrors(), parent::format('c')); } } } $date = new DateTimeCustom("sunday 09 september 2001 103:46:40 CEST");
Output for 7.0.0 - 7.1.0
Fatal error: Uncaught Exception: DateTime::format(): The DateTime object has not been correctly initialized by its constructor in /in/2Aq4I:3 Stack trace: #0 [internal function]: {closure}(2, 'DateTime::forma...', '/in/2Aq4I', 15, Array) #1 /in/2Aq4I(15): DateTime->format('c') #2 /in/2Aq4I(21): DateTimeCustom->__construct('sunday 09 septe...') #3 {main} thrown in /in/2Aq4I on line 3
Process exited with code 255.
Output for hhvm-3.12.0
object(DateTimeCustom)#2 (3) { ["date"]=> string(26) "2016-03-31 05:45:47.000000" ["timezone_type"]=> int(3) ["timezone"]=> string(16) "Europe/Amsterdam" } array(4) { ["warning_count"]=> int(0) ["warnings"]=> array(0) { } ["error_count"]=> int(1) ["errors"]=> array(1) { [25]=> string(20) "Unexpected character" } } string(25) "2016-03-31T05:45:47+02:00"
Output for hhvm-3.10.0
object(DateTimeCustom)#2 (3) { ["date"]=> string(26) "2016-03-29 19:51:45.000000" ["timezone_type"]=> int(3) ["timezone"]=> string(16) "Europe/Amsterdam" } array(4) { ["warning_count"]=> int(0) ["warnings"]=> array(0) { } ["error_count"]=> int(1) ["errors"]=> array(1) { [25]=> string(20) "Unexpected character" } } string(25) "2016-03-29T19:51:45+02:00"
Output for 5.3.0 - 5.3.5, 5.4.30 - 5.6.28
Fatal error: Uncaught exception 'Exception' with message 'DateTime::format(): The DateTime object has not been correctly initialized by its constructor' in /in/2Aq4I:3 Stack trace: #0 [internal function]: {closure}(2, 'DateTime::forma...', '/in/2Aq4I', 15, Array) #1 /in/2Aq4I(15): DateTime->format('c') #2 /in/2Aq4I(21): DateTimeCustom->__construct('sunday 09 septe...') #3 {main} thrown in /in/2Aq4I on line 3
Process exited with code 255.
Output for 5.4.29
NULL array(4) { ["warning_count"]=> int(0) ["warnings"]=> array(0) { } ["error_count"]=> int(1) ["errors"]=> array(1) { [25]=> string(20) "Unexpected character" } } string(25) "2001-09-09T03:46:40+02:00"
Output for 5.3.6 - 5.4.28
object(DateTimeCustom)#2 (3) { ["date"]=> string(19) "2001-09-09 03:46:40" ["timezone_type"]=> int(2) ["timezone"]=> string(4) "CEST" } array(4) { ["warning_count"]=> int(0) ["warnings"]=> array(0) { } ["error_count"]=> int(1) ["errors"]=> array(1) { [25]=> string(20) "Unexpected character" } } string(25) "2001-09-09T03:46:40+02:00"
Output for 4.4.2 - 4.4.9, 5.1.0 - 5.2.17
Parse error: syntax error, unexpected T_FUNCTION, expecting ')' in /in/2Aq4I on line 3
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1, 5.0.0 - 5.0.5
Parse error: parse error, unexpected T_FUNCTION, expecting ')' in /in/2Aq4I on line 3
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error, expecting `')'' in /in/2Aq4I on line 3
Process exited with code 255.